# $Revision: 1.26 $, $Date: 2005/01/03 16:02:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	CoreList
Summary:	Module::CoreList Perl module - what modules shipped with versions of Perl
Summary(pl):	Modu Perla Module::CoreList - jakie moduy zawiera dana wersja Perla
Name:		perl-Module-CoreList
# NOTE: update version list in %description when upgrading
Version:	1.98
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ef50707fb0126e855771313c75f98bee
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Module-Build >= 0.20
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::CoreList Perl module gives you information about modules
included in a specified perl release. It currently only covers the
5.003_07, 5.004, 5.004_05, 5.005, 5.005_03, 5.005_04, 5.6.0, 5.6.1,
5.6.2, 5.7.3, 5.8.0, 5.8.1, 5.8.2, 5.8.3, 5.8.4, 5.8.5, 5.8.6, 5.9.0,
and 5.9.1 releases of perl.

%description -l pl
Modu Perla Module::CoreList podaje informacje o moduach Perla
wchodzcych w skad danej wersji Perla. Obecnie zawiera on informacje
o wersjach Perla: 5.003_07, 5.004, 5.004_05, 5.005, 5.005_03,
5.005_04, 5.6.0, 5.6.1, 5.6.2, 5.7.3, 5.8.0, 5.8.1, 5.8.2, 5.8.3,
5.8.4, 5.8.5, 5.8.6, 5.9.0 i 5.9.1.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	perl="%{__perl}" \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/corelist
%{perl_vendorlib}/Module/*.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-CoreList.spec,v $
Revision 1.26  2005/01/03 16:02:32  ankry
- updated also %description

Revision 1.25  2005/01/03 15:50:21  adamg
- updated to 1.98

Revision 1.24  2004/12/01 17:57:42  radek
- autoupdated to 1.97

Revision 1.23  2004/11/03 22:30:35  paladine
- formatting

Revision 1.22  2004/10/24 15:53:16  paladine
- spelling fixes, uppercases, etc.

Revision 1.21  2004/08/01 19:28:04  adamg
- updated to 1.96

Revision 1.20  2004/07/12 17:16:57  adamg
- updated to 1.94

Revision 1.19  2004/06/05 18:10:45  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.18  2004/05/12 21:45:53  qboosh
- release 3

Revision 1.17  2004/05/11 21:50:24  ankry
- pass perl to depend on just %{__perl} instead of /usr/bin/perl5.8.4 or so
- rel. 2

Revision 1.16  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.15  2004/05/06 18:20:42  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.13  2004/04/14 21:16:32  ankry
- cosmetics, unification

Revision 1.12  2003/11/16 14:26:29  migo
- up to 1.93 (covers 5.6.2, 5.8.2 and 5.9.0)
- switch to Module::Build, new bcond style

Revision 1.11  2003/09/21 21:49:08  adamg
- added corelist script to %%files (located in %%{_bindir})

Revision 1.10  2003/09/18 13:20:19  adamg
- updated to 1.91

Revision 1.9  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.3  2003/02/18 23:44:52  ankry
- autoupdated to 1.8

Revision 1.2  2003/02/18 15:36:55  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/10/06 00:41:59  ankry
- new, STBR

